import { useParams } from "react-router-dom";
import { MoneyMgrWebRouteContainer } from "../widgets/MoneyMgrWebRouteContainer";
import { useAccounts } from "../hooks/AccountsListProvider";
import { NotFoundRoute } from "./NotFound";
import { AccountWidget } from "../widgets/AccountWidget";

export function AccountRoute(): React.ReactElement {
  const { accountId } = useParams();

  const accounts = useAccounts();
  const account = accounts.get(Number(accountId));

  if (account === null) return <NotFoundRoute />;

  return (
    <MoneyMgrWebRouteContainer
      label={
        <span style={{ display: "inline-flex", alignItems: "center" }}>
          <AccountWidget account={account} />
          &nbsp;{account.name}
        </span>
      }
    >
      TODO : table
    </MoneyMgrWebRouteContainer>
  );
}
